Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.macromedia.generator.api
Class Script

    java.lang.Object
      |
      +--com.macromedia.generator.api.GenObject
            |
            +--com.macromedia.generator.api.Script

public class Script
extends GenObject

Fields inherited from class com.macromedia.generator.api.GenObject
`peer`

Constructor Summary
`` | `Script()`
`protected` | `Script(int i)`

Method Summary
`void` | `addCommand(java.lang.String s, java.util.Properties properties, int i, int j, int k)`
`void` | `addExternalMedia(Script script)`
`void` | `addTag(java.lang.String s)`
`void` | `appendScript(Script script)`
`void` | `applyContext(Context context)`
`Script` | `copyScript()`
`void` | `extrude(Script script, float f, int i, Color color, Color color1, int j, Color color2, float f1)`
`protected void` | `finalize()`
`int` | `findFrameLabel(java.lang.String s)`
`Script` | `findScript(java.lang.String s)`
`Sound` | `findSound(java.lang.String s)`
`Rect` | `getBounds()`
`int` | `getCommandCount()`
`int` | `getCommandFrameCount(int i)`
`int` | `getCommandFrameIndex(int i)`
`int` | `getCommandLayer(int i)`
`Matrix` | `getCommandMatrix(int i)`
`Rect` | `getCommandRect(int i)`
`Script` | `getCommandScript(int i)`
`java.lang.String` | `getCommandString(int i)`
`int` | `getExternalFontCount()`
`java.lang.String` | `getExternalFontFile(int i)`
`int` | `getFileVersion()`
`float` | `getFrameRate()`
`int` | `getHeight()`
`boolean` | `getIsCommand()`
`boolean` | `getIsProcessed()`
`boolean` | `getIsReferenced()`
`int` | `getLastFrame()`
`boolean` | `getLoadTopDown()`
`Script` | `getScript(int i)`
`int` | `getScriptCount()`
`int` | `getWidth()`
`void` | `insertAction(Action action, int i)`
`void` | `insertAnimatedBitmap(java.lang.String s, int i, int j, Matrix matrix, int k, Matrix matrix1, boolean flag, int l, int i1, int j1)`
`void` | `insertAnimatedBitmapBuffer(Buffer buffer, int i, int j, Matrix matrix, int k, Matrix matrix1, boolean flag, int l, int i1, int j1)`
`void` | `insertBackgroundColor(Color color)`
`void` | `insertBackgroundRgb(int i)`
`void` | `insertBitmap(Bitmap bitmap, int i, int j, Matrix matrix, int k, Matrix matrix1)`
`void` | `insertButton(Button button, int i, int j, Matrix matrix, int k, Matrix matrix1)`
`void` | `insertFrames(int i, int j)`
`void` | `insertObject(GenObject genobject, int i, int j, Matrix matrix, int k, Matrix matrix1, GenObject genobject1, java.lang.String s)`
`void` | `insertScript(Script script, int i, int j, Matrix matrix, int k, Matrix matrix1)`
`void` | `insertShape(Shape shape, int i, int j, Matrix matrix, int k, Matrix matrix1)`
`void` | `insertSound(Sound sound, int i, int j)`
`void` | `insertText(Text text, int i, int j, Matrix matrix, int k, Matrix matrix1)`
`void` | `loadExternalFontBuffer(int i, Buffer buffer)`
`void` | `loadExternalFontFile(int i, java.lang.String s, boolean flag)`
`void` | `mergeScript(Script script, int i, int j, int k, int l, Matrix matrix)`
`void` | `MP3convert(Buffer buffer, Buffer buffer1, int i, int j, int k, int l, int i1)`
`void` | `newExternalFont(Font font)`
`void` | `release()`
`void` | `setBuffer(Buffer buffer)`
`void` | `setCommandBrightness(int i, float f)`
`void` | `setCommandColor(int i, float f, int j, float f1, int k, float f2, int l, float f3, int i1)`
`void` | `setCommandLabel(int i, java.lang.String s)`
`void` | `setCommandMask(int i, GenObject genobject)`
`void` | `setCommandMatrix(int i, Matrix matrix)`
`void` | `setCommandScript(int i, Script script)`
`void` | `setCommandTint(int i, int j, float f)`
`void` | `setCommandTransparency(int i, float f)`
`void` | `setFile(java.lang.String s, boolean flag)`
`void` | `setFileVersion(int i)`
`void` | `setFrameRate(float f)`
`void` | `setHeight(int i)`
`void` | `setIsProcessed(boolean flag)`
`void` | `setLoadTopDown(boolean flag)`
`void` | `setSerial(Serial serial)`
`void` | `setWidth(int i)`
`Buffer` | `writeBuffer()`
`void` | `writeFile(java.lang.String s)`
`void` | `writeStream(java.io.OutputStream outputstream)`
`Buffer` | `writeText()`

Methods inherited from class com.macromedia.generator.api.GenObject
`getPeer`

Methods inherited from class java.lang.Object
`, clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Script

    public Script()

### Script

    protected Script(int i)

Method Detail

### MP3convert

    public void MP3convert(Buffer buffer,
                           Buffer buffer1,
                           int i,
                           int j,
                           int k,
                           int l,
                           int i1)
                    throws GeneratorApiException

### addCommand

    public void addCommand(java.lang.String s,
                           java.util.Properties properties,
                           int i,
                           int j,
                           int k)
                    throws GeneratorApiException

### addExternalMedia

    public void addExternalMedia(Script script)
                          throws GeneratorApiException

### addTag

    public void addTag(java.lang.String s)
                throws GeneratorApiException

### appendScript

    public void appendScript(Script script)
                      throws GeneratorApiException

### applyContext

    public void applyContext(Context context)

### copyScript

    public Script copyScript()

### extrude

    public void extrude(Script script,
                        float f,
                        int i,
                        Color color,
                        Color color1,
                        int j,
                        Color color2,
                        float f1)
                 throws GeneratorApiException

### finalize

    protected void finalize()
                     throws java.lang.Throwable

  Overrides:
    `finalize` in class `java.lang.Object`

### findFrameLabel

    public int findFrameLabel(java.lang.String s)
                       throws GeneratorApiException

### findScript

    public Script findScript(java.lang.String s)

### findSound

    public Sound findSound(java.lang.String s)

### getBounds

    public Rect getBounds()

### getCommandCount

    public int getCommandCount()

### getCommandFrameCount

    public int getCommandFrameCount(int i)

### getCommandFrameIndex

    public int getCommandFrameIndex(int i)

### getCommandLayer

    public int getCommandLayer(int i)

### getCommandMatrix

    public Matrix getCommandMatrix(int i)
                            throws GeneratorApiException

### getCommandRect

    public Rect getCommandRect(int i)
                        throws GeneratorApiException

### getCommandScript

    public Script getCommandScript(int i)

### getCommandString

    public java.lang.String getCommandString(int i)

### getExternalFontCount

    public int getExternalFontCount()

### getExternalFontFile

    public java.lang.String getExternalFontFile(int i)

### getFileVersion

    public int getFileVersion()
                       throws GeneratorApiException

### getFrameRate

    public float getFrameRate()

### getHeight

    public int getHeight()

### getIsCommand

    public boolean getIsCommand()

### getIsProcessed

    public boolean getIsProcessed()

### getIsReferenced

    public boolean getIsReferenced()

### getLastFrame

    public int getLastFrame()

### getLoadTopDown

    public boolean getLoadTopDown()

### getScript

    public Script getScript(int i)

### getScriptCount

    public int getScriptCount()

### getWidth

    public int getWidth()

### insertAction

    public void insertAction(Action action,
                             int i)
                      throws GeneratorApiException

### insertAnimatedBitmap

    public void insertAnimatedBitmap(java.lang.String s,
                                     int i,
                                     int j,
                                     Matrix matrix,
                                     int k,
                                     Matrix matrix1,
                                     boolean flag,
                                     int l,
                                     int i1,
                                     int j1)
                              throws GeneratorApiException

### insertAnimatedBitmapBuffer

    public void insertAnimatedBitmapBuffer(Buffer buffer,
                                           int i,
                                           int j,
                                           Matrix matrix,
                                           int k,
                                           Matrix matrix1,
                                           boolean flag,
                                           int l,
                                           int i1,
                                           int j1)
                                    throws GeneratorApiException

### insertBackgroundColor

    public void insertBackgroundColor(Color color)

### insertBackgroundRgb

    public void insertBackgroundRgb(int i)

### insertBitmap

    public void insertBitmap(Bitmap bitmap,
                             int i,
                             int j,
                             Matrix matrix,
                             int k,
                             Matrix matrix1)
                      throws GeneratorApiException

### insertButton

    public void insertButton(Button button,
                             int i,
                             int j,
                             Matrix matrix,
                             int k,
                             Matrix matrix1)
                      throws GeneratorApiException

### insertFrames

    public void insertFrames(int i,
                             int j)
                      throws GeneratorApiException

### insertObject

    public void insertObject(GenObject genobject,
                             int i,
                             int j,
                             Matrix matrix,
                             int k,
                             Matrix matrix1,
                             GenObject genobject1,
                             java.lang.String s)
                      throws GeneratorApiException

### insertScript

    public void insertScript(Script script,
                             int i,
                             int j,
                             Matrix matrix,
                             int k,
                             Matrix matrix1)
                      throws GeneratorApiException

### insertShape

    public void insertShape(Shape shape,
                            int i,
                            int j,
                            Matrix matrix,
                            int k,
                            Matrix matrix1)
                     throws GeneratorApiException

### insertSound

    public void insertSound(Sound sound,
                            int i,
                            int j)
                     throws GeneratorApiException

### insertText

    public void insertText(Text text,
                           int i,
                           int j,
                           Matrix matrix,
                           int k,
                           Matrix matrix1)
                    throws GeneratorApiException

### loadExternalFontBuffer

    public void loadExternalFontBuffer(int i,
                                       Buffer buffer)
                                throws GeneratorApiException

### loadExternalFontFile

    public void loadExternalFontFile(int i,
                                     java.lang.String s,
                                     boolean flag)
                              throws GeneratorApiException

### mergeScript

    public void mergeScript(Script script,
                            int i,
                            int j,
                            int k,
                            int l,
                            Matrix matrix)
                     throws GeneratorApiException

### newExternalFont

    public void newExternalFont(Font font)

### release

    public void release()

  Overrides:
    `release` in class `GenObject`

### setBuffer

    public void setBuffer(Buffer buffer)
                   throws GeneratorApiException

### setCommandBrightness

    public void setCommandBrightness(int i,
                                     float f)

### setCommandColor

    public void setCommandColor(int i,
                                float f,
                                int j,
                                float f1,
                                int k,
                                float f2,
                                int l,
                                float f3,
                                int i1)

### setCommandLabel

    public void setCommandLabel(int i,
                                java.lang.String s)
                         throws GeneratorApiException

### setCommandMask

    public void setCommandMask(int i,
                               GenObject genobject)
                        throws GeneratorApiException

### setCommandMatrix

    public void setCommandMatrix(int i,
                                 Matrix matrix)

### setCommandScript

    public void setCommandScript(int i,
                                 Script script)
                          throws GeneratorApiException

### setCommandTint

    public void setCommandTint(int i,
                               int j,
                               float f)

### setCommandTransparency

    public void setCommandTransparency(int i,
                                       float f)

### setFile

    public void setFile(java.lang.String s,
                        boolean flag)
                 throws GeneratorApiException

### setFileVersion

    public void setFileVersion(int i)
                        throws GeneratorApiException

### setFrameRate

    public void setFrameRate(float f)

### setHeight

    public void setHeight(int i)

### setIsProcessed

    public void setIsProcessed(boolean flag)

### setLoadTopDown

    public void setLoadTopDown(boolean flag)

### setSerial

    public void setSerial(Serial serial)

### setWidth

    public void setWidth(int i)

### writeBuffer

    public Buffer writeBuffer()
                       throws GeneratorApiException

### writeFile

    public void writeFile(java.lang.String s)
                   throws GeneratorApiException

### writeStream

    public void writeStream(java.io.OutputStream outputstream)
                     throws GeneratorApiException

### writeText

    public Buffer writeText()
                     throws GeneratorApiException

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD